<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="false"
    Inherits="Invensys.Compact.Presentation.Web.AlarmHistory01" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/DateTimePicker.ascx" TagName="DateTimePicker" TagPrefix="ucDateTimePicker" %>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="server">
    <ucToolBar:ToolBar ID="toolBar" NextVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="FilterArea" runat="server">

    <script language="JavaScript" type="text/JavaScript">
		window.addEvent('domready',function() { 		    		
			// Assigns the behavior to the radio triggers.
			$('radioButtonQuick').addEvent('click', 
			    function(){ 
			        $('tableQuickSelection').setStyle('display', 'block');
			        $('tableCustomSelection').setStyle('display','none'); 
			    });
    			
            $('radioButtonCustom').addEvent('click', 
			    function(){ 
			        $('tableQuickSelection').setStyle('display', 'none');
			        $('tableCustomSelection').setStyle('display','block'); 
			    });		
		});
    </script>
  
    <script language="JavaScript" type="text/JavaScript" src="/script/js/datepicker.js" />
    <script language="JavaScript" type="text/JavaScript" src="/script/js/jxlib.js" />
    <asp:Literal ID="jsDateTimePickerDictionaries" runat="server" />
    <asp:Literal ID="jsDateTimePickerFromDate" runat="server" />
    <asp:Literal ID="jsDateTimePickerToDate" runat="server" />
    <link rel="stylesheet" type="text/css" href="/media/css/datepicker_vista.css" />
    <link rel="stylesheet" type="text/css" href="/media/css/jxt/jxtheme.css" />    

    
    <h6>
        <asp:Label ID="labelTimeIntervals" runat="server" /></h6>
    <table class="timespans">
        <tr>
            <td>
                <asp:RadioButton ID="radioButtonQuick" GroupName="TimeSelectionRadio" Checked="True"
                    runat="server" />
                <asp:Label ID="labelRadioButtonQuick" runat="server" />
                <table id="tableQuickSelection" style="display: block" runat="server">
                    <tr>
                        <td>
                            <asp:DropDownList ID="dropDownListIntervalTypes" runat="server" AutoPostBack="False" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <asp:RadioButton ID="radioButtonCustom" GroupName="TimeSelectionRadio" Checked="False"
                    runat="server" />
                <asp:Label ID="labelRadioButtonCustom" runat="server" />
                <table class="datetimefromto" id="tableCustomSelection" style="display: none;" runat="server">
                    <tr>
                        <td>
                            <h6>
                                <asp:Label ID="labelDateTimeFrom" runat="server" />
                            </h6>
                            <asp:TextBox ID="textBoxFromDate" AutoPostBack="False" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <h6>
                                <asp:Label ID="labelDateTimeTo" runat="server" /></h6>
                            <asp:TextBox ID="textBoxToDate" AutoPostBack="False" runat="server" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <asp:CheckBox ID="checkBoxViewSuppressedToo" runat="server" />
    <asp:Label ID="labelViewSuppressedToo" for="checkBoxViewSuppressedToo" runat="server" />
</asp:Content>
