<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    Codebehind="Information_General.aspx.cs" Inherits="Invensys.Compact.Presentation.Web.Settings.Information_General" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuComputerInfo.ascx" TagName="SubtabComputerInfo"
    TagPrefix="ucSubtabComputerInfo" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolbar" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector"
    TagPrefix="ucGenericClientServerConnector" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="server">
    <ucToolbar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

    <script language="JavaScript" type="text/JavaScript">
		window.addEvent('domready',function() { 
				var myClientDataEntry = new clientDataEntry('single');
			});
			
        function fillWithClientDate(localDateTime)
        {
            $('year').value = localDateTime.getFullYear();
            $('month').value = localDateTime.getMonth()+1;
            $('day').value = localDateTime.getDate();
            $('hour').value = localDateTime.getHours();
            $('minute').value = localDateTime.getMinutes();
        }		
    </script>

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback"
        runat="server" />
    <div id="box">
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordDetail">
                    <ucGenericClientServerConnector:GenericClientServerConnector ID="GenericClientServerConnector1"
                        runat="server" />
                    <blockquote id="boxAccountUserDetail" class="detail">
                        <h5>
                            <asp:Literal ID="ComputerInfoTitle" runat="server"></asp:Literal></h5>
                        <table>
                            <tr>
                                <th>
                                    <asp:Literal ID="litPlantName" runat="server"></asp:Literal></th>
                                <td>
                                    <asp:TextBox ID="plantName" runat="server" /></td>
                            </tr>
                            <tr>
                                <th>
                                    <asp:Literal ID="litDate" runat="server"></asp:Literal></th>
                                <td>
                                    <asp:TextBox CssClass="year" MaxLength="4" ID="year" runat="server" />
                                    -
                                    <asp:TextBox CssClass="monthorday" MaxLength="2" ID="month" runat="server" />
                                    -
                                    <asp:TextBox CssClass="monthorday" MaxLength="2" ID="day" runat="server" /></td>
                            </tr>
                            <tr>
                                <th>
                                    <asp:Literal ID="litTime" runat="server"></asp:Literal></th>
                                <td>
                                    <asp:TextBox CssClass="hourorminute" MaxLength="2" ID="hour" runat="server" />
                                    -
                                    <asp:TextBox CssClass="hourorminute" MaxLength="2" ID="minute" runat="server" /></td>
                            </tr>
                            <tr>
                                <th>
                                    <asp:Button ID="buttonClientDate" runat="server" onclick="fillWithClientDate(new Date());" />
                                </th>
                            </tr>
                        </table>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabComputerInfo:SubtabMenuComputerInfo ID="SubtabComputerInfo1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
