<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" Inherits="Invensys.Compact.Presentation.Web.HistoricalChart_03" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="uc1" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/HistoricalRefinementControl.ascx" TagName="RefinementControl" TagPrefix="ucRefinementControl" %>

<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">

    <script language="JavaScript" type="text/JavaScript" src="/script/js/chart.js"></script>

</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <link rel="stylesheet" href="/media/css/chart.css" type="text/css" media="screen" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <uc1:ToolBar ID="ToolBar1" FirstVisible="true" BackVisible="true" ChartCommandsVisible="true" ProfileVisible="true"
        runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="SliderArea" runat="Server">
    <!-- TODO: implementare nella e dalla tabellare -->
    <div class="wkaProfileSettings">
        <div class="wpsWrapper">
            <label>
                <asp:Label ID="labelProfile" runat="server" />:</label>
            <asp:TextBox ID="textBoxProfileName" AutoPostBack="False" runat="server" />
            <asp:ImageButton ID="imageButtonSaveProfile" runat="server" OnClick="imageButtonSaveProfile_Click" />
        </div>
    </div>
   <div id="horizontalToolbar" name="horizontalToolbar" runat="server">
        <div class="wkaHorizontalControlBar">
               <ucRefinementControl:RefinementControl ID="refinementControl" runat="server" OnChanged="refinementControl_OnChanged"/>
        </div>    
    </div>
    <div class="wkaChartSettings">
        <div class="wcsWrapper">
            <div class="wcsFixedSettings">
                <input type="hidden" id="inpXScaleMin" value="10-12-2008 00:00" />
                <input type="hidden" id="inpXScaleMax" value="14-12-2008 09:30" />
            </div>
            <div class="wcsModifySettings">
                <div class="wcsmodSection">
                    <table>
                        <tr>
                            <td class="wcsmodOptions">
                                <table class="wcsmodoptScale">
                                    <tr>
                                        <td>
                                        </td>
                                        <th>
                                            <asp:Label ID="labelLeftScale" runat="server" /></th>
                                        <th>
                                            <asp:Label ID="labelRightScale" runat="server" /></th>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="labelMax" runat="server" /></td>
                                        <td>
                                            <input type="text" value="" id="inpYScaleLeftMax" /></td>
                                        <td>
                                            <input type="text" value="" id="inpYScaleRightMax" /></td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="labelMin" runat="server" /></td>
                                        <td>
                                            <input type="text" value="" id="inpYScaleLeftMin" /></td>
                                        <td>
                                            <input type="text" value="" id="inpYScaleRightMin" /></td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                    <input type="button" id="wcsApplySettings" ID="wcsApplySettings" value="Apply settings"
                        runat="server" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentArea" runat="server">
    <input id="hiddenHeight" ID="hiddenHeight" type="hidden" value="300 px" name="hiddenHeight" runat="server" />

    <script language="JavaScript" type="text/JavaScript" src="/script/amcharts/swfobject.js"></script>

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionstop"
        runat="server" />
    <div id="boxChartWrapper">
       <div id="loadingMessage" class="generalmessage updateprogress">
        <p>
            <img src="/media/img/Common/Ajax/Progress.gif" alt="" /><asp:Label ID="labelLoadingMessage" runat="server" /> - 
            <asp:Literal ID="literalCancelInvocation" runat="server"></asp:Literal>
            </p>
    </div>
        <div id="boxChartPlaceholder">
            <strong>
                <asp:Label ID="labelInstallOrUpgradeFlashPlayer" runat="server" /></strong>
        </div>
        <div id="boxChartCommands">
            <span class="bccButtons"><a id="amcShiftLeft" href="#">&lt;</a> <a id="amcSnap" href="#">
                <asp:Label ID="labelSnapToDate" runat="server" /></a> <a id="amcShiftRight" href="#">
                    &gt;</a> </span>
        </div>
    </div>

    <script type="text/javascript">
				// <![CDATA[	
		var hiddenHeight = $('hiddenHeight');
		var height  = hiddenHeight.get('value');
		var so = new SWFObject("/script/amcharts/amstock/amstock.swf", "amchartID", "100%", height, "8", "#FFFFFF");
		so.addVariable("path", "/script/amcharts/amstock/");
		so.addVariable("chart_id", "amchartID");
		
		// [E_BURIGO] Random number at the end of the URI was introduced in order to avoid IE7 response caching.
		so.addVariable("settings_file", encodeURIComponent("HistoricalChartSettingsInvocation.rix?random="+Math.random()));
		
		so.addVariable("loading_settings", "1/2 ...");
		so.addVariable("loading_data", "2/2 ...");
		so.addVariable("preloader_color", "#999999");
		//so.addVariable("preloader_color", "#ffffff");
		so.write("boxChartPlaceholder");
			// ]]>
    </script>

</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
