<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Accounts_Users.aspx.cs" Inherits="Invensys.Compact.Presentation.Web.Settings.AccountsUsers" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuAccounts.ascx" TagName="SubtabMenuAccounts" TagPrefix="ucSubtabMenuAccounts" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector" TagPrefix="ucGenericClientServerConnector" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" RecordEditCommandsVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">
	<div id="boxSettingsAccountsUsers">
		<script language="JavaScript" type="text/JavaScript">
			window.addEvent('domready',function() {
			    var myClientDataEntry = new clientDataEntry('list');

			    $('decLink').getParent().getParent().setStyle('display', 'none');
			});			
		</script>
	    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback" runat="server" />
		<table class="wkaDataEntry">
			<tr>
				<td class="wdeRecordList">
					<blockquote id="boxAccountUserList" class="list">				
						    <h5 ID="UsersListTitle" runat="server"></h5>				    
						    <ucGenericGrid:GenericGrid ID="gGridUsers" IsList="true" runat="server" >
						        <ucGenericContainer:GenericContainer ID="UsersListGroupedByGroups" RowDisabledCssClass="disabled" ShowHeader="true" runat="server">
                                    <ucGenericText:GenericText ID="lcolGroupName" FieldName="Name" CellCssClass="evidence spanned" runat="server"></ucGenericText:GenericText>
                                    <ucGenericText:GenericText ID="lcolUsers" FieldName="Users" runat="server">
                                        <ucGenericContainer:GenericContainer ID="userContainer" RowDisabledCssClass="disabled" ShowHeader="true" runat="server">
                                            <ucGenericText:GenericText ID="lcolUserName" FieldName="Name" DisablingFieldName="IsActive" Selectable="true" runat="server"></ucGenericText:GenericText>
                                            <ucGenericText:GenericText ID="lcolUserDescription" FieldName="Description" runat="server"></ucGenericText:GenericText>
                                        </ucGenericContainer:GenericContainer>
                                    </ucGenericText:GenericText>
						        </ucGenericContainer:GenericContainer>
						    </ucGenericGrid:GenericGrid>					    
					</blockquote>			
				</td>
				<td class="wdeRecordDetail">
				    <ucGenericClientServerConnector:GenericClientServerConnector ID="GenericClientServerConnector1" runat="server" />	
					<blockquote id="boxAccountUserDetail" class="detail">				
			            <h5 ID="UserDetailTitle" runat="server"></h5>			                
			                <ucGenericGrid:GenericGrid ID="gGridUserDetail" MainTableCssClass="wdeRecordDetailSection" IsNested="false" runat="server" >
						        <ucGenericContainer:GenericContainer RowCssClass="isenabled" ID="GenericContainer1" ShowHeader="false" runat="server">
                                    <ucGenericCheckBox:GenericCheckBox ID="decEnabled" FieldName="IsActive" Span="2" HasHtmlLabel="true" LabelOnTheLeft="false" runat="server" ></ucGenericCheckBox:GenericCheckBox>
                                </ucGenericContainer:GenericContainer>
                                <ucGenericContainer:GenericContainer ID="GenericContainer3" RowCssClass="combomenu" runat="server">
                                    <ucGenericText:GenericText IsHeader="true" ID="detGroup" runat="server"></ucGenericText:GenericText>
                                    <ucGenericSelect:GenericSelect ID="decGroup" PropertyKey="Id" PropertyToDisplay="Name" AddFirstRow="true" runat="server"></ucGenericSelect:GenericSelect>
                                </ucGenericContainer:GenericContainer>    
                                <ucGenericContainer:GenericContainer ID="cntName" RowCssClass="inputtext" runat="server">
                                    <ucGenericText:GenericText IsHeader="true" ID="detUserName" runat="server"></ucGenericText:GenericText>
                                    <ucGenericTextBox:GenericTextBox ID="decName" FieldName="UserName" runat="server"></ucGenericTextBox:GenericTextBox>
                                </ucGenericContainer:GenericContainer>
                                <ucGenericContainer:GenericContainer RowCssClass="inputpass" ID="GenericContainer2" runat="server">
                                    <ucGenericText:GenericText IsHeader="true" ID="detPassword" runat="server"></ucGenericText:GenericText>
                                    <ucGenericTextBox:GenericTextBox ID="decPassword" IsPassword="true" runat="server"></ucGenericTextBox:GenericTextBox>
                                </ucGenericContainer:GenericContainer>
                                <ucGenericContainer:GenericContainer RowCssClass="inputarea" ID="GenericContainer5" runat="server">
                                    <ucGenericText:GenericText IsHeader="true" ID="detDescription" runat="server"></ucGenericText:GenericText>
                                    <ucGenericTextArea:GenericTextArea ID="decDescription" FieldName="UserDescription" RowCount="3" runat="server"></ucGenericTextArea:GenericTextArea>
                                </ucGenericContainer:GenericContainer>
                                <ucGenericContainer:GenericContainer RowCssClass="combomenu" ID="GenericContainer6" runat="server">
                                    <ucGenericText:GenericText IsHeader="true" ID="detStartPage" runat="server"></ucGenericText:GenericText>
                                    <ucGenericSelect:GenericSelect ID="decStartPage" AddFirstRow="false" runat="server"></ucGenericSelect:GenericSelect>
                                </ucGenericContainer:GenericContainer> 
                                <ucGenericContainer:GenericContainer ID="cntLink" RowCssClass="inputarea" runat="server">
                                    <ucGenericText:GenericText IsHeader="true" ID="detLink" runat="server"></ucGenericText:GenericText>  
                                    <ucGenericTextArea:GenericTextArea ID="decLink" FieldName="UserLink" runat="server"></ucGenericTextArea:GenericTextArea>                                  
                                </ucGenericContainer:GenericContainer>                     
						    </ucGenericGrid:GenericGrid>			                
					    </blockquote>
			        </td>					            
			    </tr>  
		    </table>	
	    </div>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuAccounts:SubtabMenuAccounts ID="SubtabMenuAccounts1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>

