<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Alarms_Categories.aspx.cs" Inherits="Invensys.Compact.Presentation.Web.Settings.Alarms_Categories" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuSettingsAlarms.ascx" TagName="SubtabMenuSettingsAlarms" TagPrefix="ucSubtabMenuSettingsAlarms" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericRadio.ascx" TagName="GenericRadio" TagPrefix="ucGenericRadio" %>
<%@ Register Src="~/UC/GenericLiteral.ascx" TagName="GenericLiteral" TagPrefix="ucGenericLiteral" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector" TagPrefix="ucGenericClientServerConnector" %>
<%@ Register Src="~/UC/GenericDirectOutput.ascx" TagName="GenericDirectOutput" TagPrefix="ucGenericDirectOutput" %>
<%@ Register Src="~/UC/NetworksGrid.ascx" TagName="NetworksGrid" TagPrefix="uc2" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" RecordEditCommandsVisible="true" FilterPreviewVisible="true" runat="server" />
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <div class="modalPopup" id="modalPopUpContainer">
        <div class="overlay-decorator">
            <!--&nbsp;-->
        </div>
        <div class="overlay-wrap">
            <div class="overlay">
                <div class="dialog-decorator">
                    <!--&nbsp;-->
                </div>
                <div class="dialog-wrap">
                    <div onclick="javascript:event.cancelBubble = true;if(event.stopPropagation) event.stopPropagation();" class="bottom_div">
                        <div class="content_div">
                            <div id="alarmPanel">
                                <h1 runat="server" id="getAlarmsTitle" class="wkaTitle">
                                </h1>
                                <div class="inner_div">
                                    <asp:Literal ID="ltrAlarmTable" runat="server">
                                    </asp:Literal>
                                </div>
                                <div class="bottom_div">
                                    <a runat="server" id="btnGetAlarms" class="modalToolbarButton" style="background-image: url(/media/img/Toolbar/GenericSave.png);"></a><a runat="server" id="btnCloseAlarms"
                                        class="modalToolbarButton" style="background-image: url(/media/img/Toolbar/GenericCancel.png);"></a><a runat="server" id="btnSelectAllAlarmFromList" class="modalToolbarButton"
                                            style="background-image: url(/media/img/Toolbar/SelectAll.png);"></a><a runat="server" id="btnUnselectAllAlarmFromList" class="modalToolbarButton" style="background-image: url(/media/img/Toolbar/UnselectAll.png);">
                                            </a>
                                </div>
                            </div>
                            <div id="devicePanel">
                                <h1 runat="server" id="getDevicesTitle">
                                </h1>
                                <div class="inner_div">
                                    <uc2:networksgrid id="NetworksGrid1" level2checkedononline="true" level3checkedononline="true" runat="server" />
                                </div>
                                <div class="bottom_div">
                                    <a runat="server" id="btnGetDevices" class="modalToolbarButton" style="background-image: url(/media/img/Toolbar/GenericSave.png);"></a><a runat="server" id="btnCloseDevices"
                                        class="modalToolbarButton" style="background-image: url(/media/img/Toolbar/GenericCancel.png);"></a><a runat="server" id="btnSelectAllDeviceFromList" class="modalToolbarButton"
                                            style="background-image: url(/media/img/Toolbar/SelectAll.png);"></a><a runat="server" id="btnUnselectAllDeviceFromList" class="modalToolbarButton" style="background-image: url(/media/img/Toolbar/UnselectAll.png);">
                                            </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content runat="server" ID="cssContent" ContentPlaceHolderID="CssArea">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
    <link rel="stylesheet" type="text/css" href="/media/css/docs.css" />
    <style media="screen" type="text/css">
        #alarmListPick { border: 1px solid #AAAAAA; border-top: none; }
        #alarmListPick thead tr { background-color: #99CCFF; color: #333333; font-size: 9px; height: 16px; }
        #alarmListPick tbody td { background-color: #E4E4E4; border-bottom-color: #AAAAAA; border-bottom-style: solid; border-bottom-width: 1px; white-space: nowrap; }
        
        .itemScroller {
				width: 90%;
				height: 90px;
				margin: 0px;
				padding: 2px;
				overflow-y: scroll;
				overflow: auto;
				border: 1px solid #999999;
				background: #FFFFFF;
			}
    </style>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

    <script src="/script/xmlEditor/codemirror.js" type="text/javascript"></script>

    <script language="JavaScript" type="text/JavaScript">
        //<![CDATA[
        function closeModalPopUp() {
            var filteredBkg = $('modalPopUpContainer');
            filteredBkg.style.display = 'none';
            return false;
        }

        function openModalPopUpAlarms() {
            $('devicePanel').style.display = 'none';
            $('alarmPanel').style.display = '';
            $('modalPopUpContainer').style.display = 'block';
            return false;
        }

        function openModalPopUpDevices() {
            $('devicePanel').style.display = '';
            $('alarmPanel').style.display = 'none';
            $('modalPopUpContainer').style.display = 'block';
            return false;
        }

        function selectAllDevices() {
            editorDevices.setCode($('allDevicesXml').value);
            editorDevices.reindent();
            return false;
        }

        function selectAllAlarms() {
            editorAlarms.setCode($('allAlarmsXml').value);
            editorAlarms.reindent();
            return false;
        }

        function setDeviceSelection(selected) {
            var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
            var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);
            devices.each(function(currentCheckBox) {
                currentCheckBox.checked = selected;
            });
        }

        function setAlarmSelection(selected) {
            var alarmTable = $('alarmListPick');
            var alarms = document.getElements('input.alaSelector', alarmTable);
            alarms.each(function(currentCheckBox) {
                currentCheckBox.checked = selected;
            });
        }

        function cleanFilter(string) {
            var removedSpaces = string.split(' ').join('');
            return removedSpaces.replace(new RegExp('\\n', 'g'), '');
            debugger;
        }

        function checkUniversalAlarmFilter() {
            var currentFilter = cleanFilter(editorAlarms.getCode()).toLowerCase();
            var universalFilter = $('allAlarmsXml').value.toLowerCase();
            if (currentFilter == universalFilter || currentFilter == "")
                return true;
            return false;
        }

        function checkUniversalDeviceFilter() {
            var currentFilter = cleanFilter(editorDevices.getCode()).toLowerCase();
            var universalFilter = $('allDevicesXml').value.toLowerCase();
            if (currentFilter == universalFilter || currentFilter == "")
                return true;
            return false;
        }

        function calculateLevel() {
            var level = 0;
            var prefix = '../media/img/Entities/Items/';
            var isUniversalDevice = checkUniversalDeviceFilter();
            var isUniversalAlarm = checkUniversalAlarmFilter();
            if (isUniversalDevice) {
                $('DeviceImageLevel').src = prefix + 'CatLevelDevAll.gif';
                if (isUniversalAlarm) level = 1;
                else level = 2;
            }
            else {
                $('DeviceImageLevel').src = prefix + 'CatLevelDevFilter.gif';
                if (isUniversalAlarm) level = 3;
                else level = 4;
            }
            if (isUniversalAlarm) {
                $('AlarmImageLevel').src = prefix + 'CatLevelAlaAll.gif';
            }
            else {
                $('AlarmImageLevel').src = prefix + 'CatLevelAlaFilter.gif';
            }

            $('FilterLevel').innerHTML = level;
        }

        function unselectAllDevicesFromList()
        { setDeviceSelection(false) }

        function selectAllDevicesFromList()
        { setDeviceSelection(true) }

        function selectAllAlarmsFromList()
        { setAlarmSelection(true) }

        function unselectAllAlarmsFromList()
        { setAlarmSelection(false); }

        function getAlarms() {
            var alarmTable = $('alarmListPick');
            var alarms = document.getElements('input.alaSelector', alarmTable);
            var selectionArray = [];
            alarms.each(function(currentCheckBox) {
                if (currentCheckBox.checked)
                    selectionArray.push(currentCheckBox.id);
            });
            var postBody = "modality=ajax" + "&exec=buildAlarmXML" + "&alarmSelection=" + selectionArray;
            new Request({url:'/AlarmsCategoryInvocation.rix',
                         onComplete: function(request) {
                            editorAlarms.setCode(request);
                            editorAlarms.reindent();
                            closeModalPopUp();
                          },
                          timeout: 5000
            }).send(postBody);
        }

        function getDevices() {
            var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
            var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);
            var selectionArray = [];
            devices.each(function(currentCheckBox) {
                if (currentCheckBox.checked)
                    selectionArray.push(currentCheckBox.id);
            });

            var postBody = "modality=ajax" + "&exec=buildDeviceXML" + "&deviceSelection=" + selectionArray;
            new Request({url:'/AlarmsCategoryInvocation.rix', 
                         onComplete: function(request) {
                            editorDevices.setCode(request);
                            editorDevices.reindent();
                            closeModalPopUp();
                         },
                         timeout: 5000
            }).send(postBody);
        }

        var editorDevices;
        var editorAlarms;

        function editorGetCode() {
            var deviceFilterTextArea = $('deviceEditor');
            deviceFilterTextArea.value = editorDevices.getCode();

            var alarmFilterTextArea = $('alarmEditor');
            alarmFilterTextArea.value = editorAlarms.getCode();
        }

        function deviceEditorSetCode() {
            var deviceFilterTextArea = $('deviceEditor');
            editorDevices.setCode(deviceFilterTextArea.value);
            editorDevices.reindent();
        }

        function alarmEditorSetCode() {
            var alarmFilterTextArea = $('alarmEditor');
            editorAlarms.setCode(alarmFilterTextArea.value);
            editorAlarms.reindent();
        }

        function openPreview() {
            var caregoryID = myClientDataEntry.getRecordID();
            window.open('/Settings/FilterPreview.aspx' + '?categoryID=' + caregoryID, 'Preview');
        }


        function onSelect() {
            var previewBtn = document.getElement('div.wkaToolbarArea td.dosome a.watGenericPreview');
            previewBtn.removeClass('disabled');

            calculateLevel();
        }
        
        function details_onAdd() {
            selectAllAlarms();
            selectAllDevices();
            
            // [ERIK] Unselects checkboxes under "actions" and "timeframes" lists.
            var actions = $$('table.optsgroup input');
            actions.each(function(currentCheckBox) {
                currentCheckBox.checked = false;
            });
            
            // [ERIK] By default, selects Enabled and Escalate flags.
            $('cEnabled').checked = true;
            $('cEscalate').checked = true;
        }

        var myClientDataEntry;

        window.addEvent('domready',function() {

            myClientDataEntry = new clientDataEntry('list');
            
            $('deviceEditor').addEvent('change', deviceEditorSetCode);
            $('alarmEditor').addEvent('change', alarmEditorSetCode);

            $('ToolBar1$ilbSave').addEvent('click', editorGetCode);
            $('ToolBar1$ilbAdd').addEvent('click', details_onAdd);

            $('btnAlarmFromList').addEvent('click', openModalPopUpAlarms);
            $('btnDeviceFromList').addEvent('click', openModalPopUpDevices);

            $('modalPopUpContainer').addEvent('click', closeModalPopUp);
            $('btnCloseDevices').addEvent('click', closeModalPopUp);
            $('btnCloseAlarms').addEvent('click', closeModalPopUp);

            $('btnGetDevices').addEvent('click', getDevices);
            $('btnGetAlarms').addEvent('click', getAlarms);

            $('btnDeviceSelectAll').addEvent('click', selectAllDevices);
            $('btnAlarmSelectAll').addEvent('click', selectAllAlarms);

            $('btnSelectAllDeviceFromList').addEvent('click', selectAllDevicesFromList);
            $('btnUnselectAllDeviceFromList').addEvent('click', unselectAllDevicesFromList);
            $('btnSelectAllAlarmFromList').addEvent('click', selectAllAlarmsFromList);
            $('btnUnselectAllAlarmFromList').addEvent('click', unselectAllAlarmsFromList);

            editorDevices = CodeMirror.fromTextArea('deviceEditor', {
                height: "200px",
                parserfile: "parsexml.js",
                stylesheet: "/media/css/xmlcolors.css",
                path: "/script/xmlEditor/",
                continuousScanning: 500,
                onChange: calculateLevel,
                reindentOnLoad: true,
                lineNumbers: false
            });

            editorAlarms = CodeMirror.fromTextArea('alarmEditor', {
                height: "200px",
                parserfile: "parsexml.js",
                stylesheet: "/media/css/xmlcolors.css",
                path: "/script/xmlEditor/",
                continuousScanning: 500,
                onChange: calculateLevel,
                reindentOnLoad: true,
                lineNumbers: false
            });


            var previewBtn = document.getElement('div.wkaToolbarArea td.dosome a.watGenericPreview');
            previewBtn.addClass('disabled');
            previewBtn.addEvent('click', openPreview);
            previewBtn.onclick = function() { return false; }

            for (i = 0; i < myClientDataEntry.cdeRecordListItemStores.length; i++) {
                var crow = myClientDataEntry.cdeRecordListItemStores[i].getFirstParentByTag('tr');
                var clnk = crow.getElement('a');
                clnk.addEvent('click', onSelect);
            }

        });          //]]>		
    </script>

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback" runat="server" />
    <div id="boxSettingsAccountsGroups">
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordList" style="width: 300px">
                    <blockquote id="boxAlarmCategoriesList" class="list">
                        <h5 id="categoryListTitle" runat="server">
                        </h5>
                        <ucGenericGrid:GenericGrid ID="gGridCategories" IsList="true" runat="server">
                            <ucGenericContainer:GenericContainer ID="categoryContainer" IdFieldName="Id" ShowHeader="true" RowDisabledCssClass="disabled" runat="server">
                                <ucGenericText:GenericText ID="colName" FieldName="Name" DisablingFieldName="Enabled" Selectable="true" runat="server">
                                </ucGenericText:GenericText>
                                <ucGenericLiteral:GenericLiteral ID="colLevel" FieldName="Icon" HasHtmlLabel="false" runat="server">
                                </ucGenericLiteral:GenericLiteral>
                            </ucGenericContainer:GenericContainer>
                        </ucGenericGrid:GenericGrid>
                    </blockquote>
                </td>
                <td class="wdeRecordDetail">
                    <ucGenericClientServerConnector:GenericClientServerConnector ID="GenericClientServerConnector1" runat="server" />
                    <blockquote id="boxDetail" class="detail">
                        <h5 id="detailsTitle" runat="server">
                        </h5>
                        <ucGenericGrid:GenericGrid ID="gGridDetails" runat="server">
                            <ucGenericContainer:GenericContainer ID="GenericContainer2" RowCssClass="inputtext" runat="server">
                                <ucGenericText:GenericText IsHeader="true" ID="lblName" runat="server">
                                </ucGenericText:GenericText>
                                <ucGenericTextBox:GenericTextBox ID="cName" FieldName="Name" runat="server">
                                </ucGenericTextBox:GenericTextBox>
                            </ucGenericContainer:GenericContainer>
                            <ucGenericContainer:GenericContainer ID="gcEscalate" RowCssClass="isenabled" ShowHeader="false" runat="server">
                                <ucGenericCheckBox:GenericCheckBox ID="cEnabled" FieldName="Enabled" Selected="true" HasHtmlLabel="false" Span="1" LabelOnTheLeft="false" runat="server">
                                </ucGenericCheckBox:GenericCheckBox>
                                <ucGenericCheckBox:GenericCheckBox ID="cEscalate" FieldName="Escalate" HasHtmlLabel="false" Span="1" LabelOnTheLeft="false" runat="server">
                                </ucGenericCheckBox:GenericCheckBox>
                                <ucGenericDirectOutput:GenericDirectOutput id="decFilter" hashtmllabel="false" runat="server">
                                </ucGenericDirectOutput:GenericDirectOutput>
                            </ucGenericContainer:GenericContainer>
                        </ucGenericGrid:GenericGrid>
                        <h5 id="actionsAndTimeframesTitle" runat="server">
                        </h5>
                        <table width="100%">
                            <thead>
                                <tr>
                                    <th>
                                        <asp:Label ID="colActions" runat="server">
                                        </asp:Label>
                                    </th>
                                    <th>
                                        <asp:Label ID="colTimeFrames" runat="server">
                                        </asp:Label>
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td style="width: 50%">
                                        <div class="itemScroller">
                                            <ucGenericGrid:GenericGrid ID="gGridActions" MainTableCssClass="optsgroup" IsNested="true" IsList="false" runat="server">
                                                <ucGenericContainer:GenericContainer ID="Container11" TableCssClass="optsgroup" runat="server">
                                                    <ucGenericText:GenericText ID="text11" HasHtmlLabel="true" Label="dati" runat="server">
                                                        <ucGenericContainer:GenericContainer ID="Container12" runat="server">
                                                            <ucGenericCheckBox:GenericCheckBox FieldName="Id" ID="decActions" runat="server">
                                                            </ucGenericCheckBox:GenericCheckBox>
                                                            <ucGenericText:GenericText ID="text12" FieldName="Name" HasHtmlLabel="true" runat="server">
                                                            </ucGenericText:GenericText>
                                                        </ucGenericContainer:GenericContainer>
                                                    </ucGenericText:GenericText>
                                                </ucGenericContainer:GenericContainer>
                                            </ucGenericGrid:GenericGrid>
                                        </div>
                                    </td>
                                    <td style="width: 50%">
                                        <div class="itemScroller">
                                            <ucGenericGrid:GenericGrid ID="gGridTimeFrames" MainTableCssClass="optsgroup" IsNested="true" IsList="false" runat="server">
                                                <ucGenericContainer:GenericContainer ID="Container11" TableCssClass="optsgroup" runat="server">
                                                    <ucGenericText:GenericText ID="text11" HasHtmlLabel="true" Label="dati" runat="server">
                                                        <ucGenericContainer:GenericContainer ID="Container12" runat="server">
                                                            <ucGenericCheckBox:GenericCheckBox FieldName="Id" ID="decTimeframes" runat="server">
                                                            </ucGenericCheckBox:GenericCheckBox>
                                                            <ucGenericText:GenericText ID="text12" FieldName="Name" HasHtmlLabel="true" runat="server">
                                                            </ucGenericText:GenericText>
                                                        </ucGenericContainer:GenericContainer>
                                                    </ucGenericText:GenericText>
                                                </ucGenericContainer:GenericContainer>
                                            </ucGenericGrid:GenericGrid>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <h5 id="filtersTitle" runat="server">
                        </h5>
                        <table width="100%">
                            <thead>
                                <tr>
                                    <th>
                                        <asp:Label ID="colDevices" runat="server">
                                        </asp:Label>
                                    </th>
                                    <th>
                                        <asp:Label ID="colAlarms" runat="server">
                                        </asp:Label>
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>
                                        <div>
                                            <input runat="server" type="button" id="btnDeviceSelectAll" value="" />
                                            <input type="hidden" runat="server" id="allDevicesXml" />
                                            <input runat="server" type="button" id="btnDeviceFromList" value="" />
                                        </div>
                                        <div style="border: 1px solid #999; padding: 0px; background-color: #FFF">
                                            <textarea name="deviceEditor" id="deviceEditor" cols="30" rows="80">&lt;interface&gt;&lt;device/&gt;&lt;/interface&gt;</textarea>
                                        </div>
                                    </td>
                                    <td style="width: 50%">
                                        <div>
                                            <input runat="server" type="button" id="btnAlarmSelectAll" value="" />
                                            <input runat="server" type="button" id="btnAlarmFromList" value="" />
                                            <input type="hidden" runat="server" id="allAlarmsXml" />
                                        </div>
                                        <div style="border: 1px solid #999; padding: 0px; background-color: #FFF">
                                            <textarea name="alarmEditor" id="alarmEditor" cols="30" rows="80">&lt;resource/&gt;</textarea>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuSettingsAlarms:SubtabMenuSettingsAlarms ID="SubtabMenuSettingsAlarms1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
