<%@ Page Language="C#" EnableEventValidation="true" MasterPageFile="~/WorkingArea.master"
    AutoEventWireup="false" Inherits="Invensys.Compact.Presentation.Web.HistoricalTable_03"
    EnableViewState="false" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/HistoricalRefinementControl.ascx" TagName="RefinementControl" TagPrefix="ucRefinementControl" %>

<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">

    <script language="JavaScript" type="text/JavaScript" src="/script/js/historicaldatatable.js"></script>

</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="SliderArea" runat="Server">
    <div class="wkaProfileSettings">
        <div class="wpsWrapper">
            <label>
                <asp:Label ID="labelProfile" runat="server" />:</label>
            <asp:TextBox ID="textBoxProfileName" AutoPostBack="False" runat="server" />
            <asp:ImageButton ID="imageButtonSaveProfile" runat="server" OnClick="imageButtonSaveProfile_Click" />
        </div>
    </div>
    <div id="horizontalToolbar" name="horizontalToolbar" runat="server">
        <div class="wkaHorizontalControlBar">
            <ucRefinementControl:RefinementControl ID="refinementControl" runat="server" OnChanged="refinementControl_OnChanged"/>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="server">
    <ucToolBar:ToolBar ID="toolBar" FirstVisible="true" BackVisible="true" ExportVisible="true"
        ProfileVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="server">
    <input id="hiddenStartingRowCount" type="hidden" value="100" name="hiddenStartingRowCount"
        runat="server" />
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionstop"
        runat="server" />
    <div id="loadingMessage0" class="generalmessage updateprogress">
        <p>
            <img src="/media/img/Common/Ajax/Progress.gif" alt="" /><asp:Label ID="labelLoadingMessage"
                runat="server" /></p>
    </div>
    <div id="toolHistoricalFiller0">
    </div>
    <div id="lastClearer" class="clearer">
    </div>
</asp:Content>
