<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Accounts_Groups.aspx.cs" Inherits="Invensys.Compact.Presentation.Web.Settings.AccountsGroups" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuAccounts.ascx" TagName="SubtabMenuAccounts" TagPrefix="ucSubtabMenuAccounts" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector" TagPrefix="ucGenericClientServerConnector" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" RecordEditCommandsVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">
	<script language="JavaScript" type="text/JavaScript">
		window.addEvent('domready',function() { 
				var myClientDataEntry = new clientDataEntry('list');
			});			
    </script>
	<ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback" runat="server" />
			<div id="boxSettingsAccountsGroups">
				<table class="wkaDataEntry">
					<tr>
						<td class="wdeRecordList">	
							<blockquote id="boxAccountGroupList" class="list">
								<h5 ID="GroupsListTitle" runat="server"></h5>
								<ucGenericGrid:GenericGrid ID="gGridGroups" IsList="true" runat="server">
								    <ucGenericContainer:GenericContainer ID="groupContainer" IdFieldName="Id"  ShowHeader="true" RowDisabledCssClass="disabled" runat="server">
								        <ucGenericText:GenericText ID="colGroupName" FieldName="Name" DisablingFieldName="IsActive" Selectable="true" runat="server"></ucGenericText:GenericText>
								        <ucGenericText:GenericText ID="colGroupDescription" FieldName="Description" runat="server"></ucGenericText:GenericText>
								    </ucGenericContainer:GenericContainer>
								</ucGenericGrid:GenericGrid>						
							</blockquote>						
						</td>
						<td class="wdeRecordDetail">						
						<ucGenericClientServerConnector:GenericClientServerConnector ID="GenericClientServerConnector1" runat="server" />
							<blockquote id="boxAccountGroupDetail" class="detail">
								<h5 ID="GroupDetailsTitle" runat="server"></h5>							
								<ucGenericGrid:GenericGrid ID="gGridGroupDetails" runat="server">
							        <ucGenericContainer:GenericContainer RowCssClass="isenabled" ID="GenericContainer1" ShowHeader="false" runat="server">
                                        <ucGenericCheckBox:GenericCheckBox ID="decEnabled" FieldName="IsActive" Selected="true" HasHtmlLabel="true" Span="2" LabelOnTheLeft="false" runat="server" ></ucGenericCheckBox:GenericCheckBox>
                                    </ucGenericContainer:GenericContainer>
                                    <ucGenericContainer:GenericContainer ID="GenericContainer2" RowCssClass="inputtext" runat="server">
                                        <ucGenericText:GenericText IsHeader="true" ID="lblName" runat="server"></ucGenericText:GenericText>
                                        <ucGenericTextBox:GenericTextBox ID="decName" FieldName="Name" runat="server"></ucGenericTextBox:GenericTextBox>
                                    </ucGenericContainer:GenericContainer>
                                    <ucGenericContainer:GenericContainer ID="GenericContainer4" RowCssClass="inputarea" runat="server">
                                        <ucGenericText:GenericText IsHeader="true" ID="lblDescription" runat="server"></ucGenericText:GenericText>
                                        <ucGenericTextArea:GenericTextArea ID="decDescription" FieldName="Description" RowCount="3" runat="server"></ucGenericTextArea:GenericTextArea>         
                                    </ucGenericContainer:GenericContainer>
								</ucGenericGrid:GenericGrid>							
								<h5 ID="GroupPermissionsTitle" runat="server"></h5>
								<table>
									<tr>
										<th>
										    <label ID="colPermissions" runat="server"></label>
										</th>
										<td>
											<div class="scroller">											
                                                <ucGenericGrid:GenericGrid ID="gGridGroupPermissions" MainTableCssClass="optsgroup" IsNested="true" IsList="false" runat="server">                                                  
                                                    <ucGenericContainer:GenericContainer ID="Container10" TableCssClass="optsgroup" runat="server">    
                                                        <ucGenericText:GenericText ID="categoryDescription" FieldName="Description" HasHtmlLabel="true" runat="server"></ucGenericText:GenericText>     
                                                    </ucGenericContainer:GenericContainer>                                                 
                                                    <ucGenericContainer:GenericContainer ID="Container11" TableCssClass="optsgroup" runat="server">
                                                        <ucGenericText:GenericText ID="text10" runat="server"></ucGenericText:GenericText>
                                                        <ucGenericText:GenericText ID="text11" HasHtmlLabel="true" FieldName="PermissionsDictionary" Label="dati" runat="server">
                                                            <ucGenericContainer:GenericContainer ID="Container12" runat="server">
                                                                <ucGenericCheckBox:GenericCheckBox FieldName="Id" ID="decPermissions" runat="server"></ucGenericCheckBox:GenericCheckBox>
                                                                <ucGenericText:GenericText ID="text12" FieldName="Description" HasHtmlLabel="true" runat="server"></ucGenericText:GenericText>
                                                            </ucGenericContainer:GenericContainer>
                                                        </ucGenericText:GenericText>
                                                    </ucGenericContainer:GenericContainer>                                                   
                                                </ucGenericGrid:GenericGrid>							
											</div>
										</td>
									</tr>
								</table>							
							</blockquote>
						</td>
					</tr>  
				</table>				
			</div>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuAccounts:SubtabMenuAccounts ID="SubtabMenuAccounts1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>