<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Alarms_Timeframes.aspx.cs" Inherits="Invensys.Compact.Presentation.Web.Settings.Alarms_Timeframes" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuSettingsAlarms.ascx" TagName="SubtabMenuSettingsAlarms" TagPrefix="ucSubtabMenuSettingsAlarms" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericRadio.ascx" TagName="GenericRadio" TagPrefix="ucGenericRadio" %>
<%@ Register Src="~/UC/GenericLiteral.ascx" TagName="GenericLiteral" TagPrefix="ucGenericLiteral" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector" TagPrefix="ucGenericClientServerConnector" %>
<%@ Register Src="~/UC/GenericDirectOutput.ascx" TagName="GenericDirectOutput" TagPrefix="ucGenericDirectOutput" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" RecordEditCommandsVisible="true" runat="server" />
</asp:Content>
<asp:Content runat="server" ID="cssContent" ContentPlaceHolderID="CssArea">
    <style media="screen" type="text/css">
        .timePosition00 { position: absolute; top: 0px; left: 0px; width: 100px; }
        .timePosition01, .timePosition11 { position: absolute; top: 0px; left: 110px; font-size: 12px; font-weight: bold; width: 20px; text-align: center; }
        .timePosition02 { position: absolute; top: 0px; left: 140px; width: 100px; }
        .timePosition10 { position: absolute; top: 40px; left: 0px; width: 100px; }
        .timePosition11 { top: 40px; }
        .timePosition12 { position: absolute; top: 40px; left: 140px; width: 100px; }
        .timePanel { position: relative; width: 300px; height: 70px; margin: 0; padding: 0; width: 100px; }
        .timeDaySelector { width: 60px; }
    </style>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

    <script language="JavaScript" type="text/JavaScript">
        //<![CDATA[
        function setSymbolVisibility(first) {
            if (first) {
                $('Symbol0A').style.display = '';
                $('Symbol0B').style.display = 'none';
                $('Symbol1A').style.display = '';
                $('Symbol1B').style.display = 'none';
            } else {
                $('Symbol0A').style.display = 'none';
                $('Symbol0B').style.display = '';
                $('Symbol1A').style.display = 'none';
                $('Symbol1B').style.display = '';
            }
        }
        window.addEvent('domready',function() {

            if (window.ie == true) {
                $('ToolBar1$ilbEdit').addEvent('click', function() { $('cType').disabled = true; });
                $('ToolBar1$ilbAdd').addEvent('click', function() { $('cType').disabled = false; });
            }
            var myClientDataEntry = new clientDataEntry('list');

            if (window.ie == null) {
                $('ToolBar1$ilbEdit').addEvent('click', function() { $('cType').disabled = true; });
                $('ToolBar1$ilbAdd').addEvent('click', function() { $('cType').disabled = false; });
            }

            var visDay = new Array();
            var visWeek = new Array('wFromDayWeek', 'wToDayWeek', 'panelSymbol1');
            var visMonth = new Array('mFromDayMonth', 'mToDayMonth', 'panelSymbol1');

            var hideDay = new Array('wFromDayWeek', 'wToDayWeek', 'mFromDayMonth', 'mToDayMonth', 'cContinuous', 'panelSymbol1');
            var hideWeek = new Array('mFromDayMonth', 'mToDayMonth');
            var hideMonth = new Array('wFromDayWeek', 'wToDayWeek');

            function setVisibility(array, value) {
                for (i = 0; i < array.length; i++) {
                    $(array[i]).style.display = value;
                }
            }

            function update_kind_details_visibility() {
                var selectedType = $('cType').selectedIndex;
                var selectedPeriod = $('cContinuous').selectedIndex;

                if (selectedType == 0) {//day
                    setVisibility(hideDay, 'none');
                    setVisibility(visDay, '');

                    $('fromTime').className = 'timePosition00';
                    $('toTime').className = 'timePosition02';

                    setSymbolVisibility(true);
                }

                else if (selectedType == 1) {// Week
                    setVisibility(hideWeek, 'none');
                    setVisibility(visWeek, '');

                    $('wFromDayWeek').className = 'timePosition00';
                    $('toTime').className = 'timePosition12';
                    if (selectedPeriod == 0) {
                        $('wToDayWeek').className = 'timePosition10';
                        $('fromTime').className = 'timePosition02';
                        setSymbolVisibility(false);
                    }
                    else {
                        $('wToDayWeek').className = 'timePosition02';
                        $('fromTime').className = 'timePosition10';
                        setSymbolVisibility(true);
                    }
                    $('cContinuous').style.display = '';
                }
                else {// Month
                    setVisibility(hideMonth, 'none');
                    setVisibility(visMonth, '');
                    $('mFromDayMonth').className = 'timePosition00';
                    $('toTime').className = 'timePosition12';
                    if (selectedPeriod == 0) {
                        $('mToDayMonth').className = 'timePosition10';
                        $('fromTime').className = 'timePosition02';
                        setSymbolVisibility(false);
                    }
                    else {
                        $('mToDayMonth').className = 'timePosition02';
                        $('fromTime').className = 'timePosition10';
                        setSymbolVisibility(true);
                    }
                    $('cContinuous').style.display = '';
                }
            }

            update_kind_details_visibility();

            $('cType').addEvent('change', update_kind_details_visibility);
            $('cContinuous').addEvent('change', update_kind_details_visibility);
        });
        //]]>
    </script>

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback" runat="server" />
    <div id="boxSettingsAccountsGroups">
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordList" style="width: 400px">
                    <blockquote id="boxAccountGroupList" class="list">
                        <h5 id="GroupsListTitle" runat="server">
                        </h5>
                        <ucGenericGrid:GenericGrid ID="gGridTimeframes" IsList="true" runat="server">
                            <ucGenericContainer:GenericContainer ID="groupContainer" IdFieldName="Id" ShowHeader="true" RowDisabledCssClass="disabled" runat="server">
                                <ucGenericText:GenericText ID="colGroupName" FieldName="Name" DisablingFieldName="IsActive" Selectable="true" runat="server">
                                </ucGenericText:GenericText>
                                <ucGenericLiteral:GenericLiteral ID="colGroupDescription" FieldName="Description" HasHtmlLabel="false" runat="server">
                                </ucGenericLiteral:GenericLiteral>
                            </ucGenericContainer:GenericContainer>
                        </ucGenericGrid:GenericGrid>
                    </blockquote>
                </td>
                <td class="wdeRecordDetail">
                    <ucGenericClientServerConnector:GenericClientServerConnector ID="GenericClientServerConnector1" runat="server" />
                    <blockquote id="boxAccountGroupDetail" class="detail">
                        <h5 id="GroupDetailsTitle" runat="server">
                        </h5>
                        <ucGenericGrid:GenericGrid ID="gGridTimeframesDetails" runat="server">
                            <ucGenericContainer:GenericContainer ID="GenericContainer2" RowCssClass="inputtext" runat="server">
                                <ucGenericText:GenericText IsHeader="true" ID="lblName" runat="server">
                                </ucGenericText:GenericText>
                                <ucGenericTextBox:GenericTextBox ID="cName" Span="2" FieldName="Name" runat="server">
                                </ucGenericTextBox:GenericTextBox>
                            </ucGenericContainer:GenericContainer>
                            <ucGenericContainer:GenericContainer ID="GenericContainer3" RowCssClass="inputarea" runat="server">
                                <ucGenericText:GenericText IsHeader="true" ID="lblType" runat="server">
                                </ucGenericText:GenericText>
                                <ucGenericSelect:GenericSelect ID="cType" PropertyKey="Id" PropertyToDisplay="Name" runat="server">
                                </ucGenericSelect:GenericSelect>
                                <ucGenericSelect:GenericSelect ID="cContinuous" PropertyKey="Id" PropertyToDisplay="Name" runat="server">
                                </ucGenericSelect:GenericSelect>
                            </ucGenericContainer:GenericContainer>
                        </ucGenericGrid:GenericGrid>
                        <ucGenericGrid:GenericGrid ID="gGridExtra" runat="server">
                            <ucGenericContainer:GenericContainer ID="gcDirect" RowCssClass="inputarea" runat="server">
                                <ucGenericDirectOutput:GenericDirectOutput id="ltdo" hashtmllabel="false" runat="server">
                                </ucGenericDirectOutput:GenericDirectOutput>
                            </ucGenericContainer:GenericContainer>
                        </ucGenericGrid:GenericGrid>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuSettingsAlarms:SubtabMenuSettingsAlarms ID="SubtabMenuSettingsAlarms1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
