<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Generic_TWin.aspx.cs" Inherits="Invensys.Compact.Presentation.Web.Settings.Generic_TWin" %>

<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SettingsTimeSpan.ascx" TagName="SettingsTimeSpan" TagPrefix="ucSettingsTimeSpan" %>
<%@ Register Src="~/UC/SettingsNumber.ascx" TagName="SettingsNumber" TagPrefix="ucSettingsNumber" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/SubtabMenuGenericSettings.ascx" TagName="SubtabMenuGenericSettings" TagPrefix="ucSubtabMenuGenericSettings" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector" TagPrefix="ucGenericClientServerConnector" %>
<%@ Register Src="~/UC/SettingsNeedRestartLegend.ascx" TagName="SettingsNeedRestartLegend" TagPrefix="ucSettingsNeedRestartLegend" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuGenericSettings:SubtabMenuGenericSettings ID="SubtabMenuGenericSettings1" runat="server" />
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

    <script language="JavaScript" type="text/JavaScript">
        window.addEvent('domready',function() {
            var myClientDataEntry = new clientDataEntry('single');
        });
    </script>

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback" runat="server" />
    <div id="box">
        <ucSettingsNeedRestartLegend:SettingsNeedRestartLegend ID="SettingsNeedRestartLegend1" runat="server" />
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordDetail">
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalSendingLifeTestNotificationsGroupTitle" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <ucSettingsTimeSpan:SettingsTimeSpan MaxLength="11" runat="server" id="settingsTimeSpanSendingLifeTestPeriod" />
                            <ucSettingsTimeSpan:SettingsTimeSpan MaxLength="11" runat="server" id="settingsTimeSpanSendingLifeTestDelay" />
                            <ucSettingsTimeSpan:SettingsTimeSpan MaxLength="11" runat="server" id="settingsTimeSpanSendingLifeTestRetryTimeout" />
                            <ucSettingsTimeSpan:SettingsTimeSpan MaxLength="11" runat="server" id="settingsTimeSpanSendingLifeTestRetryDuration" />
                        </table>
                    </blockquote>                
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
