<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    EnableViewState="false" CodeBehind="Networks_Naming.aspx.cs" Inherits="Invensys.Compact.Presentation.Web.Networks_Energy" %>

<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuNetworks.ascx" TagName="SubtabMenuNetworks" TagPrefix="uc1" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<asp:Content ID="Content1" ContentPlaceHolderID="FilterArea" runat="server">

    <script language="JavaScript" type="text/JavaScript" src="/script/js/liteGrid.js" />

    <script language="JavaScript" type="text/JavaScript" src="/script/js/datepicker.js" />
    <script language="JavaScript" type="text/JavaScript" src="/script/js/jxlib.js" />
    <asp:Literal ID="jsDateTimePickerDictionaries" runat="server" />
    <asp:Literal ID="jsTimeSpanPicker" runat="server" />    
    <link rel="stylesheet" type="text/css" href="/media/css/datepicker_vista.css" />
    <link rel="stylesheet" type="text/css" href="/media/css/jxt/jxtheme.css" />
    
    <h6>
        <span>
            <asp:Label ID="lblColumnsCount" runat="server" /></span></h6>
    <table>
        <tr>
            <td>
                <asp:DropDownList ID="ddlColumnsCount" OnSelectedIndexChanged="ddlColumnsCount_SelectedIndexChanged"
                    AutoPostBack="true" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
    </table>
    <h6>
        <asp:Label ID="lblControls" runat="server" /></h6>
    <table>
        <tr>
            <td>
                <asp:Image ID="AnalogInputsImageUrl" runat="server" />
            </td>
            <td>
                <asp:CheckBox ID="chkAnalogInputs" AutoPostBack="false" Checked="true" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Image ID="DigitalInputsImageUrl" runat="server" />
            </td>
            <td>
                <asp:CheckBox ID="chkDigitalInputs" AutoPostBack="false" Checked="true" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Image ID="StatesImageUrl" runat="server" />
            </td>
            <td>
                <asp:CheckBox ID="chkStates" AutoPostBack="false" Checked="true" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Image ID="AlarmsImageUrl" runat="server" />
            </td>
            <td>
                <asp:CheckBox ID="chkAlarms" AutoPostBack="false" Checked="true" runat="server" />
            </td>
        </tr>
    </table>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentArea" runat="server" class="wkaWrapperArea narrowFilter showFilter">
    <div id="horizontalToolbar" name="horizontalToolbar" runat="server">
        <div class="wkaHorizontalControlBar">
            <asp:Label ID="labelRegistrationInterval" runat="server" />
            <asp:TextBox ID="textBoxRegistrationInterval" runat="server" />
        </div>
    </div>
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" Type="Info" runat="server" />
    <asp:Literal ID="tableContent" runat="server" />

    <script language="javascript" type="text/javascript">
        //<![CDATA[
        window.addEvent('domready',function() {
            var myLiteGridNetworkTable = new liteGridNetworkTable();
        });
        //]]>	   
    </script>
  
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" SelectionCommandsVisible="true" GridFilterVisible="true"
        GridExplorationVisible="true" GridEditingVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <uc1:SubtabMenuNetworks ID="SubtabMenuNetworks1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
